## ros-indigo-naoqi-libqi 2.3.0

=== CMakeLists.txt ===
## Copyright (c) 2012, 2013, 2014 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(naoqi_libqi)
find_package(catkin)

catkin_package(CFG_EXTRAS libqi-extras.cmake
   INCLUDE_DIRS ./
   LIBRARIES qi
)

include(CheckSymbolExists)
check_symbol_exists(_SC_HOST_NAME_MAX "unistd.h" HAVE_SC_HOST_NAME_MAX)
set_source_files_properties(src/os_posix.cpp
  PROPERTIES
    COMPILE_DEFINITIONS HAVE_SC_HOST_NAME_MAX)

# We always want boost filesystem v3
add_definitions("-DBOOST_FILESYSTEM_VERSION=3")
add_definitions("-DBOOST_ASIO_DISABLE_STD_CHRONO")

if(MSVC)
  add_definitions(" -DWIN32_LEAN_AND_MEAN ")
endif()

if (WIN32)
  add_definitions(" -D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DWIN32_LEAN_AND_MEAN")
endif()

if (UNIX)
 add_definitions(" -fno-strict-aliasing ")
endif()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
endif()

if (WITH_SSL)
 add_definitions(" -DWITH_SSL ")
 set(_ssldeps "OPENSSL")
else()
 set(_ssldeps "")
endif()

# Remove this line to use QT if usable
set(WITH_QT_QTCORE OFF)

option(WITH_EXAMPLES "Examples"          ON)
option(WITH_PERF     "Performances test" ON)

enable_testing()
include(CMakeDependentOption)

set(QI_H qi/detail/clock.hxx
         qi/detail/eventloop.hxx
         qi/detail/future.hxx
         qi/detail/future_fwd.hpp
         qi/detail/executioncontext.hpp
         qi/detail/mpl.hpp
         qi/detail/log.hxx
         qi/detail/mpl.hpp
         qi/detail/trackable.hxx
         qi/detail/warn_push_ignore_deprecated.hpp
         qi/detail/warn_pop_ignore_deprecated.hpp
         qi/api.hpp
         qi/application.hpp
         qi/actor.hpp
         qi/atomic.hpp
         qi/buffer.hpp
         qi/clock.hpp
         qi/future.hpp
         qi/log/consoleloghandler.hpp
         qi/log/csvloghandler.hpp
         qi/log/fileloghandler.hpp
         qi/log/headfileloghandler.hpp
         qi/log/tailfileloghandler.hpp
         qi/log.hpp
         qi/macro.hpp
         qi/os.hpp
         qi/getenv.hpp
         qi/preproc.hpp
         qi/qi.hpp
         qi/types.hpp
         qi/path.hpp
         qi/periodictask.hpp
         qi/qi.hpp
         qi/stats.hpp
         qi/trackable.hpp
         qi/translator.hpp
         qi/eventloop.hpp
         qi/version.hpp
         qi/iocolor.hpp
         qi/strand.hpp)

set(QI_C src/dlfcn.cpp
         src/path.cpp
         src/application.cpp
         src/buffer.cpp
         src/buffer_p.hpp
         src/bufferreader.cpp
         src/clock.cpp
         src/sdklayout.hpp
         src/filesystem.hpp
         src/filesystem.cpp
         src/future.cpp
         src/log.cpp
         src/log_p.hpp
         src/consoleloghandler.cpp
         src/fileloghandler.cpp
         src/csvloghandler.cpp
         src/headfileloghandler.cpp
         src/tailfileloghandler.cpp
         src/locale-light.cpp
         src/os.cpp
         src/path_conf.cpp
         src/path_conf.hpp
         src/periodictask.cpp
         src/utils.hpp
         src/utils.cpp
         src/eventloop.cpp
         src/eventloop_p.hpp
         src/sdklayout-boost.cpp
         src/version.cpp
         src/iocolor.cpp
         src/strand.cpp)

set(QITYPE_H       qi/anyfunction.hpp
                   qi/anyobject.hpp
                   qi/signature.hpp
                   qi/property.hpp
                   qi/signal.hpp
                   qi/anyvalue.hpp
                   qi/anymodule.hpp

                   qi/type/detail/signal.hxx
                   qi/type/detail/property.hxx
                   qi/type/detail/accessor.hxx
                   qi/type/detail/anyreference.hpp
                   qi/type/detail/anyreference.hxx
                   qi/type/detail/anyvalue.hpp
                   qi/type/detail/anyvalue.hxx
                   qi/type/detail/anyfunction.hxx
                   qi/type/detail/anyfunctionfactory.hxx
                   qi/type/detail/anyiterator.hpp
                   qi/type/detail/anyiterator.hxx
                   qi/type/detail/bindtype.hxx
                   qi/type/detail/functionsignature.hxx
                   qi/type/detail/futureadapter.hxx
                   qi/type/detail/futureadapter.hpp
                   qi/type/detail/dynamicobjectbuilder.hxx
                   qi/type/detail/genericobject.hpp
                   qi/type/detail/object.hxx
                   qi/type/detail/async.hxx
                   qi/type/detail/proxyregister.hpp
                   qi/type/detail/hasless.hxx
                   qi/type/detail/objecttypebuilder.hxx
                   qi/type/detail/type.hxx
                   qi/type/detail/buffertypeinterface.hxx
                   qi/type/detail/typedispatcher.hxx
                   qi/type/detail/dynamictypeinterface.hxx
                   qi/type/detail/typeimpl.hxx
                   qi/type/detail/typeinterface.hpp
                   qi/type/detail/inttypeinterface.hxx
                   qi/type/detail/listtypeinterface.hxx
                   qi/type/detail/maptypeinterface.hxx
                   qi/type/detail/pointertypeinterface.hxx
                   qi/type/detail/staticobjecttype.hpp
                   qi/type/detail/stringtypeinterface.hxx
                   qi/type/detail/structtypeinterface.hxx
                   qi/type/detail/type.hpp
                   qi/type/detail/manageable.hpp
                   qi/type/detail/traceanalyzer.hpp

                   qi/api.hpp
                   qi/binarycodec.hpp
                   qi/type/dynamicobject.hpp
                   qi/type/dynamicobjectbuilder.hpp
                   qi/type/fwd.hpp
                   qi/jsoncodec.hpp
                   qi/type/metamethod.hpp
                   qi/type/metaobject.hpp
                   qi/type/metaproperty.hpp
                   qi/type/metasignal.hpp
                   qi/type/objecttypebuilder.hpp
                   qi/type/proxyproperty.hpp
                   qi/type/proxysignal.hpp
                   qi/type/typeinterface.hpp
                   qi/type/typeobject.hpp
                   qi/type/typedispatcher.hpp)



set(QITYPE_C src/type/binarycodec.cpp
             src/type/binarycodec_p.hpp
             src/type/dynamicobject.cpp
             src/type/dynamicobjectbuilder.cpp
             src/type/anyfunction.cpp
             src/type/anyreference.cpp
             src/type/anyvalue.cpp
             src/type/anyobject.cpp
             src/type/genericobject.cpp
             src/type/jsoncodec_p.hpp
             src/type/jsondecoder.cpp
             src/type/jsonencoder.cpp
             src/type/manageable.cpp
             src/type/metamethod.cpp
             src/type/metaproperty.cpp
             src/type/metasignal.cpp
             src/type/metasignal_p.cpp
             src/type/metasignal_p.hpp
             src/type/metaobject.cpp
             src/type/metaobject_p.hpp
             src/type/anymodule.cpp
             src/type/objecttypebuilder.cpp
             src/type/signal.cpp
             src/type/signal_p.hpp
             src/type/signatureconvertor.cpp
             src/type/signatureconvertor.hpp
             src/type/staticobjecttype.cpp
             src/type/typeinterface.cpp
             src/type/structtypeinterface.cpp
             src/type/type.cpp
             src/type/signature.cpp
             src/type/traceanalyzer.cpp
             )


set(QIM_H qi/api.hpp
          qi/messaging/authprovider.hpp
          qi/messaging/authproviderfactory.hpp
          qi/messaging/autoservice.hpp
          qi/messaging/clientauthenticator.hpp
          qi/messaging/clientauthenticatorfactory.hpp
          qi/messaging/details/autoservice.hxx
          qi/messaging/gateway.hpp
          qi/messaging/serviceinfo.hpp
          qi/applicationsession.hpp
          qi/session.hpp
          qi/url.hpp
)

set(QIM_C src/messaging/applicationsession.cpp
          src/messaging/authprovider_p.hpp
          src/messaging/authprovider.cpp
          src/messaging/boundobject.cpp
          src/messaging/boundobject.hpp
          src/messaging/clientauthenticator_p.hpp
          src/messaging/clientauthenticator.cpp
          src/messaging/gateway.cpp
          src/messaging/message.hpp
          src/messaging/message.cpp
          src/messaging/messagedispatcher.hpp
          src/messaging/messagedispatcher.cpp
          src/messaging/objecthost.hpp
          src/messaging/objecthost.cpp
          src/messaging/objectregistrar.hpp
          src/messaging/objectregistrar.cpp
          src/messaging/remoteobject.cpp
          src/messaging/remoteobject_p.hpp
          src/messaging/servicedirectory.cpp
          src/messaging/servicedirectory.hpp
          src/messaging/servicedirectoryclient.hpp
          src/messaging/servicedirectoryclient.cpp
          src/messaging/serviceinfo.cpp
          src/messaging/session.cpp
          src/messaging/session_p.hpp
          src/messaging/sessionservice.hpp
          src/messaging/sessionservice.cpp
          src/messaging/sessionservices.hpp
          src/messaging/sessionservices.cpp
          src/messaging/server.hpp
          src/messaging/server.cpp
          src/messaging/streamcontext.hpp
          src/messaging/streamcontext.cpp
          src/messaging/transportserver.hpp
          src/messaging/transportserver.cpp
          src/messaging/transportserverasio_p.cpp
          src/messaging/transportserverasio_p.hpp
          src/messaging/transportsocket.hpp
          src/messaging/transportsocket.cpp
          src/messaging/transportsocketcache.cpp
          src/messaging/transportsocketcache.hpp
          src/messaging/tcptransportsocket.cpp
          src/messaging/tcptransportsocket.hpp
          src/messaging/url.cpp
          src/messaging/serverresult.hpp
          src/registration.cpp
          )

set(QIPERF_H
  qi/perf/dataperfsuite.hpp
  qi/perf/details/dataperfsuite.hxx
  qi/perf/dataperf.hpp
  qi/perf/measure.hpp
)

set(QIPERF_C
  src/perf/dataperfsuite_p.hpp
  src/perf/dataperf_p.hpp
  src/perf/dataperfsuite.cpp
  src/perf/dataperf.cpp
  src/perf/measure.cpp
)

configure_file(qi/config.hpp.in ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/qi/config.hpp)
include_directories(${CATKIN_DEVEL_PREFIX}/include)

if(WITH_BOOST_LOCALE)
  list(APPEND QI_H qi/translator.hpp)
  list(APPEND QI_C src/translator.cpp)
endif()

install(DIRECTORY qi DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})
install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/qi/config.hpp DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/qi)

if (WIN32)
  list(APPEND QI_C
    src/os_launch_win32.cpp
    src/os_win32.cpp
    src/os_debugger_win32.cpp
  )
else()
  list(APPEND QI_C
    src/os_posix.cpp
    src/os_debugger_posix.cpp
  )
  if(ANDROID)
    list(APPEND QI_C src/os_launch_android.cpp)
  else()
    list(APPEND QI_C src/os_launch_posix.cpp)
  endif()
endif()

#normalize BUILD_SHARED_LIBS, default ON
if (NOT DEFINED BUILD_SHARED_LIBS)
  set(BUILD_SHARED_LIBS ON)
endif()

# Set qi_STATIC_BUILD  used in config.hpp.in
set(qi_STATIC_BUILD OFF)
if (NOT BUILD_SHARED_LIBS) #lol
  set(qi_STATIC_BUILD ON)
endif()

# Convert ON/OFF to SHARED/STATIC for create_lib argument
set(_qilibtype)
if (BUILD_SHARED_LIBS OR ANDROID)
  set(_qilibtype SHARED)
else()
  set(_qilibtype STATIC)
endif()


include_directories("${CMAKE_CURRENT_SOURCE_DIR}")

include(qimodule-config.cmake)

add_library(qi SHARED
                 ${QI_H}     ${QI_C}
                 ${QITYPE_H} ${QITYPE_C}
                 ${QIM_H}    ${QIM_C}
            )
find_package(Boost QUIET COMPONENTS chrono filesystem program_options regex system thread)
target_link_libraries(qi ${Boost_LIBRARIES})

if (WITH_QT_QTCORE)
  qi_use_lib(qi QT_QTCORE)
endif()
if(WITH_BOOST_LOCALE)
  qi_use_lib(qi BOOST_LOCALE)
endif()

if (UNIX)
  target_link_libraries(qi pthread)
endif()

=== bin/CMakeLists.txt ===
##
##
## Copyright (C) 2009, 2010, 2012, 2013, 2014 Aldebaran Robotics
##

add_subdirectory("qicli")
add_subdirectory("qiclient")
add_subdirectory("qiservice")
add_subdirectory("qimaster")
add_subdirectory("qigateway")
add_subdirectory("perfs")
add_subdirectory("foo")

=== examples/CMakeLists.txt ===
## Copyright (c) 2012 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

project(qi_examples)

qi_create_bin(qipath_example qipath_example.cpp NO_INSTALL)
qi_use_lib(qipath_example QI)
set_target_properties(qipath_example PROPERTIES FOLDER "examples")

qi_create_bin(sharedlibrary_example sharedlibrary_example.cpp NO_INSTALL)
qi_use_lib(sharedlibrary_example QI)
set_target_properties(sharedlibrary_example PROPERTIES FOLDER "examples")

qi_create_bin(log_example log_example.cpp NO_INSTALL)
qi_use_lib(log_example QI BOOST_PROGRAM_OPTIONS PTHREAD)
set_target_properties(log_example PROPERTIES FOLDER "examples")

qi_create_bin(buffer_example buffer_example.cpp NO_INSTALL)
qi_use_lib(buffer_example QI)
set_target_properties(buffer_example PROPERTIES FOLDER "examples")

if (UNIX AND WITH_BOOST_LOCALE)
  qi_create_bin(qiconvloc_example qiconvloc_example.cpp NO_INSTALL)
  qi_use_lib(qiconvloc_example QI BOOST_LOCALE)
  set_target_properties(qiconvloc_example PROPERTIES FOLDER "examples")
  add_subdirectory(qitranslate)
endif()

=== tests/CMakeLists.txt ===
add_subdirectory("qi")
add_subdirectory("type")
add_subdirectory("messaging")

=== bin/foo/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(foo-module)
find_package(qibuild)
qi_sanitize_compile_flags(HIDDEN_SYMBOLS)

qi_create_module(foo foo.cpp)

qi_create_bin(footest footest.cpp DEPENDS QI)

=== bin/qiclient/CMakeLists.txt ===
##
## Author(s):
##  - Cedric GESTES      <gestes@aldebaran-robotics.com>
##  - Chris Kilner       <ckilner@aldebaran-robotics.com>
##
## Copyright (C) 2009, 2010 Aldebaran Robotics
##

project (QiClient)

qi_create_bin(qi-client
  qimain.cpp
  DEPENDS QI BOOST_PROGRAM_OPTIONS)

=== bin/qigateway/CMakeLists.txt ===
##
## Author(s):
##  - Cedric GESTES      <gestes@aldebaran-robotics.com>
##  - Herve CUCHE        <hcuche@aldebaran-robotics.com>
##
## Copyright (C) 2009, 2010, 2012 Aldebaran Robotics
##

project (QiGateway)

qi_create_bin(qi-gateway
  qigatewaymain.cpp
  DEPENDS
  QI
  BOOST_PROGRAM_OPTIONS
  )

=== bin/qiservice/CMakeLists.txt ===
##
## Author(s):
##  - Cedric GESTES      <gestes@aldebaran-robotics.com>
##  - Herve Cuche        <hcuche@aldebaran-robotics.com>
##
## Copyright (C) 2009, 2010, 2012 Aldebaran Robotics
##

project (QiService)

qi_create_bin(qi-service
  qiservicetestmain.cpp
  DEPENDS QI BOOST_PROGRAM_OPTIONS)

=== tests/messaging/CMakeLists.txt ===
#add_subdirectory(test_messaging)
#add_subdirectory(test_messaging_publish)
#add_subdirectory(test_transport)
#add_subdirectory(test_transport_publish)

#add_subdirectory(test_endpoint_context)
add_subdirectory(libtestsession)

qi_create_module(naoqi.testanymodule        SRC testanymodule.cpp        SHARED DEPENDS QI NO_INSTALL)
qi_create_module(naoqi.testanymodulesession SRC testanymodulesession.cpp SHARED DEPENDS QI NO_INSTALL)
install(TARGETS naoqi.testanymodule        DESTINATION lib/naoqi COMPONENT test)
install(TARGETS naoqi.testanymodulesession DESTINATION lib/naoqi COMPONENT test)

qi_create_gtest(test_anymodule_service    SRC test_anymodule.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_url                  SRC test_url.cpp       DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_transportsocketcache SRC test_transportsocketcache.cpp
  ../../src/messaging/messagedispatcher.cpp ../../src/messaging/transportserverasio_p.cpp
  ../../src/messaging/remoteobject.cpp ../../src/messaging/objecthost.cpp
  ../../src/messaging/boundobject.cpp ../../src/messaging/transportsocketcache.cpp
  ../../src/messaging/message.cpp ../../src/messaging/transportserver.cpp
  ../../src/messaging/tcptransportsocket.cpp ../../src/messaging/transportsocket.cpp DEPENDS QI TIMEOUT 30)
#qi_create_gtest(test_message_visitor      SRC test_message_visitor.cpp DEPENDS QI GTEST TIMEOUT 120)
#Not working yet
#qi_create_gtest(test_value                SRC test_value.cpp           DEPENDS QI GTEST TIMEOUT 120)
qi_create_gtest(test_binarycoder          SRC test_binarycoder.cpp     DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_without_gateway      SRC test_without_gateway.cpp DEPENDS QI GTEST TIMEOUT 30)
#qi_create_gtest(test_with_gateway         SRC test_with_gateway.cpp    DEPENDS QI GTEST TIMEOUT 120)
# `qibuild test` on mac never returns with those tests.
qimessaging_create_session_test(test_event_remote         SRC test_event_remote.cpp         DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qi_create_gtest(test_event_connect                        SRC test_event_connect.cpp        DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_sd                                   SRC test_sd.cpp                   DEPENDS QI GTEST TIMEOUT 30)
qimessaging_create_session_test(test_event_remote_connect SRC test_event_remote_connect.cpp DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_call_many            SRC test_call_many.cpp            DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_session              SRC test_session.cpp              DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_session_harder       SRC test_session_harder.cpp       DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_call                 SRC test_call.cpp                 DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
#broken
#qimessaging_create_session_test(test_autoservice  SRC test_autoservice.cpp                   DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
#qi_create_gtest(test_application                  SRC test_application.cpp                   DEPENDS QI GTEST TIMEOUT 2)
#qi_create_gtest(test_gateway                      SRC test_gateway.cpp                       DEPENDS QI GTEST TIMEOUT 10)
qi_create_gtest(test_testsession                  SRC test_testsession.cpp                   DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qi_create_gtest(test_metavalue_argument           SRC test_metavalue_argument.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_applicationsession           SRC test_applicationsession.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_applicationsessionnoautoexit SRC test_applicationsession_noautoexit.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_authentication               SRC test_authentication.cpp                DEPENDS QI GTEST TIMEOUT 30)

qi_create_bin(test_call_on_close_session SRC test_call_on_close_session.cpp              NO_INSTALL DEPENDS TESTSESSION QI BOOST BOOST_THREAD)
qi_create_bin(test_signaturegen SRC sig_generator.cpp sig_generator.h test_signature.cpp NO_INSTALL DEPENDS TESTSESSION QI BOOST)

qimessaging_create_session_test(test_service     SRC test_service.cpp     DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_send_object SRC test_send_object.cpp DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_proxy       SRC test_proxy.cpp       DEPENDS QI GTEST TESTSESSION TIMEOUT 30)

# those are idl tests that currently only
# work on linux, and when not cross-compiling
option(DISABLE_CODEGEN "disable the code generation (broken)" ON)

if(UNIX AND NOT APPLE)
  if (NOT I_AM_A_ROBOT AND NOT ANDROID AND NOT DISABLE_CODEGEN)
    add_subdirectory(passobject-fromservice)
    add_subdirectory(passobject-fromclient)
    add_subdirectory(task-service)
  endif()
endif()

=== tests/qi/CMakeLists.txt ===
## Copyright (c) 2012 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.
qi_create_test_helper(testlaunch         testlaunch.cpp)
qi_create_test_helper(testlaunchloop     testlaunchloop.cpp)
qi_create_test_helper(check_env          check_env.cpp)
qi_create_test_helper(check_machineid    check_machineid.cpp)
qi_create_test_helper(test_application   test_application.cpp)
qi_use_lib(testlaunchloop QI)
qi_use_lib(check_env QI)
qi_use_lib(check_machineid QI)
qi_use_lib(test_application QI)

set_target_properties(testlaunch       PROPERTIES FOLDER tests)
set_target_properties(testlaunchloop   PROPERTIES FOLDER tests)
set_target_properties(check_env        PROPERTIES FOLDER tests)
set_target_properties(test_application PROPERTIES FOLDER tests)

qi_create_gtest(test_path_conf    SRC test_path_conf.cpp ../../src/path_conf.cpp DEPENDS QI GTEST)
qi_create_gtest(test_qipath       SRC test_qipath.cpp    ../../src/utils.cpp     DEPENDS QI GTEST)
qi_create_gtest(test_thread       SRC test_thread.cpp       DEPENDS QI BOOST_THREAD)
qi_create_gtest(test_qiclock      SRC test_qiclock.cpp      DEPENDS QI GTEST)
qi_create_gtest(test_qilocal      SRC test_locale.cpp       DEPENDS QI GTEST)
qi_create_gtest(test_qios         SRC test_qios.cpp         DEPENDS QI GTEST)
qi_create_gtest(test_qiatomic     SRC test_qiatomic.cpp     DEPENDS QI GTEST)
qi_create_gtest(test_qilaunch     SRC test_qilaunch.cpp     DEPENDS QI GTEST)
qi_create_gtest(test_qilog_sync   SRC test_qilog_sync.cpp   DEPENDS QI GTEST)
qi_create_gtest(test_qilog_async  SRC test_qilog_async.cpp  DEPENDS QI GTEST)
qi_create_gtest(test_strand       SRC test_strand.cpp       DEPENDS QI GTEST)
qi_create_gtest(test_future       SRC test_future.cpp       DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_buffer       SRC test_buffer.cpp       DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_bufferreader SRC test_bufferreader.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_version      SRC test_version.cpp      DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_macro        SRC test_macro.cpp        DEPENDS QI GTEST TIMEOUT 30)

=== tests/type/CMakeLists.txt ===

qi_create_gtest(test_value            SRC test_value.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_event            SRC test_event.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_object           SRC test_object.cpp           DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_signature        SRC test_signature.cpp        DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_object_eventloop SRC test_object_eventloop.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_signal           SRC test_signal.cpp           DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_json             SRC test_json.cpp             DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_clocktype        SRC test_clocktype.cpp        DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_anymodule        SRC test_anymodule.cpp        DEPENDS QI GTEST TIMEOUT 30)

qi_create_module(qi_test_anymodule    SRC cat.hpp qi_test_anymodule.cpp SHARED DEPENDS QI NO_INSTALL)
install(TARGETS qi_test_anymodule DESTINATION lib COMPONENT test)

=== bin/perfs/messaging/CMakeLists.txt ===

if(WITH_PROTOBUF)
    find_package(Protobuf)
    include_directories(${CMAKE_CURRENT_BINARY_DIR})
    protobuf_generate_cpp(PROTO_SRC PROTO_HDR alvalue.proto)


    qi_create_gtest(perf_messaging_signatures
     SRC perf_messaging_signatures.cpp ${PROTO_SRC} ${PROTO_HDR}
     DEPENDS QI GTEST
     TIMEOUT 120)

    qi_create_gtest(perf_messaging_publish
     SRC perf_messaging_publish.cpp ${PROTO_SRC} ${PROTO_HDR}
     DEPENDS QI GTEST
    TIMEOUT 120)
    
    qi_create_gtest(perf_messaging
     SRC perf_messaging.cpp ${PROTO_SRC} ${PROTO_HDR}
     DEPENDS QI GTEST
     TIMEOUT 120)
     
    protobuf_generate_cpp(PROTO_F_SRC PROTO_F_HDR vfloat.proto)

    create_gtest(perf_messaging_serialization
     SRC perf_messaging_serialization.cpp ${PROTO_F_SRC} ${PROTO_F_HDR}
     DEPENDENCIES QI GTEST
     TIMEOUT 120)
endif()

qi_create_gtest(perf_messaging_stress
 SRC perf_messaging_stress.cpp
 DEPENDS QI GTEST
 TIMEOUT 120)

=== debian/changelog ===
ros-indigo-naoqi-libqi (2.3.0-2trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Tue, 19 May 2015 14:54:29 -0000

=== debian/control ===
Source: ros-indigo-naoqi-libqi
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael.arguedas@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-catkin
Homepage: http://doc.aldebaran.com/libqi
Standards-Version: 3.9.2

Package: ros-indigo-naoqi-libqi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: Aldebaran's libqi: a core library for NAOqiOS development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-naoqi-libqi//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
